Bug 47926 - bad feature in XFree, won't install or run in RH7.1
bad feature in XFree, won't install or run in RH7.1
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-07-09 00:38 EDT by Paul E Condon
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-18 13:24:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul E Condon 2001-07-09 00:38:48 EDT
Description of Problem: Installation fails because no workable selection of
video graphics can be found.

How Reproducible: 100%

Steps to Reproduce: When running RedHat 6.2, reboot from 7.1 CD and attempt
to install.
1. normal function until the probe of the video card
2. do the test
3. it always fails whatever selection i make to override the probe, which
also fails

Actual Results:
garbage test image

Expected Results:
little box with question "do you see this?" or something similar

Additional Information:
Hardware has been working, unchanged for >1yr, and continues to work when I
revert to 6.2. Reversion to 6.2 is painful since 6.2 install scripts only
work if I first wipe the disk clean.	
video card is Diamond SpeedStar A90 (yes I know this is not on your
approved list, but it is working fine under RH6.2 (and, of course, X 3.3.6)
It is X 4.0.x which I think is the problem, bur I can't figure a work
around. Version changes in rpm, among other things block my efforts.)
Comment 1 Mike A. Harris 2001-07-12 11:35:37 EDT
Try Xconfigurator --preferxf3

That will set it up to use XFree86 3.3.6 instead of 4.x.

Does that fix the problem?
Comment 2 Mike A. Harris 2001-07-18 04:48:38 EDT
If you install, and bypass the X configuration in the installer, you
should be able to finish the install.  After that run the command
I gave you above, if your video worked in RHL 6.2, it should work now
also, since they are the exact same drivers.  Also, you may want to
upgrade to the errata release of 3.3.6 for RHL 7.1.

If this does not work, please provide more information, including a 
file attachment of your X server logs using the link below.
Comment 3 Paul E Condon 2001-07-18 13:24:15 EDT
The --preferxf3 switch fixed the problem. 

FYI, the old driver (for SVGA) was somehow lost during the run up to doing
Xconfigurator --preferxf3
Consequently, it was also necessary to reinstall an SVGA rpm.

Now, I live in fear of accidentally zapping the "old" XFree 3.3.6 during an
update of some other software. I see on the XFree web site that version 4.2 is
released. How soon might it be available from RedHat as an rpm?

Comment 4 Mike A. Harris 2001-07-21 21:25:06 EDT
No need to live in fear.  The only way XFree86 3.3.6 will get uninstalled
is if you uninstall it, or upgrade it.  If you stick to RPM's you should
be ok.

There is no such thing as XFree86 4.2.  4.1.0 is in rawhide though.

Note You need to log in before you can comment on or make changes to this bug.